import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Definition of AWS::AIOps::InvestigationGroup Resource Type
 */
export declare function getInvestigationGroup(args: GetInvestigationGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetInvestigationGroupResult>;
export interface GetInvestigationGroupArgs {
    arn: string;
}
export interface GetInvestigationGroupResult {
    readonly arn?: string;
    /**
     * An array of key-value pairs of notification channels to apply to this resource.
     */
    readonly chatbotNotificationChannels?: outputs.aiops.InvestigationGroupChatbotNotificationChannel[];
    readonly createdAt?: string;
    readonly createdBy?: string;
    /**
     * An array of cross account configurations.
     */
    readonly crossAccountConfigurations?: outputs.aiops.InvestigationGroupCrossAccountConfiguration[];
    readonly encryptionConfig?: outputs.aiops.InvestigationGroupEncryptionConfigMap;
    /**
     * Investigation Group policy
     */
    readonly investigationGroupPolicy?: string;
    /**
     * Flag to enable cloud trail history
     */
    readonly isCloudTrailEventHistoryEnabled?: boolean;
    readonly lastModifiedAt?: string;
    readonly lastModifiedBy?: string;
    readonly roleArn?: string;
    readonly tagKeyBoundaries?: string[];
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Definition of AWS::AIOps::InvestigationGroup Resource Type
 */
export declare function getInvestigationGroupOutput(args: GetInvestigationGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetInvestigationGroupResult>;
export interface GetInvestigationGroupOutputArgs {
    arn: pulumi.Input<string>;
}
